Bug 241204 - mail/rspamd: Update to 2.0
Summary: mail/rspamd: Update to 2.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Vsevolod Stakhov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-11 20:03 UTC by Yasuhiro KIMURA
Modified: 2019-10-14 16:09 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (vsevolod)


Attachments
Patch file (24.94 KB, patch)
2019-10-11 20:03 UTC, Yasuhiro KIMURA
no flags Details | Diff
Updated patch (27.41 KB, patch)
2019-10-12 09:17 UTC, Alexander Moisseev
no flags Details | Diff
Forgot to remove obsolete patches (34.27 KB, patch)
2019-10-12 09:24 UTC, Alexander Moisseev
no flags Details | Diff
Updated patch (37.16 KB, patch)
2019-10-14 15:50 UTC, Alexander Moisseev
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro KIMURA 2019-10-11 20:03:56 UTC
Created attachment 208251 [details]
Patch file

Update to 2.0.
Comment 1 Alexander Moisseev 2019-10-12 09:17:36 UTC
Created attachment 208257 [details]
Updated patch

Also we decided to remove @sample macros, so I've updated the patch.

Log:
  mail/rspamd:
    - Update to 2.0
    - Remove sample configuration files as default configuration files are NOT intended for modification by users and SHOULD be overwritten on port upgrade.
    - Remove NO_SHARED CMake flag as it is on by default
    - Add notes to UPDATING

  mail/rspamd-devel:
    - Update to 2.1.a1.20191012
    - Remove sample configuration files as default configuration files are NOT intended for modification by users and SHOULD be overwritten on port upgrade.
    - Add notes to UPDATING
Comment 2 Alexander Moisseev 2019-10-12 09:24:21 UTC
Created attachment 208258 [details]
Forgot to remove obsolete patches
Comment 3 Alexander Moisseev 2019-10-14 15:50:24 UTC
Created attachment 208307 [details]
Updated patch

Log:
  mail/rspamd:
    - Update to 2.0
    - Add upstream patches to fix crash due to constructors init order
    - Remove sample configuration files as default configuration files are NOT intended for modification by users and SHOULD be overwritten on port upgrade.
    - Remove NO_SHARED CMake flag as it is on by default
    - Add notes to UPDATING

  mail/rspamd-devel:
    - Update to 2.1.a1.20191014
    - Remove sample configuration files as default configuration files are NOT intended for modification by users and SHOULD be overwritten on port upgrade.
    - Add notes to UPDATING
Comment 4 commit-hook freebsd_committer 2019-10-14 16:06:39 UTC
A commit references this bug:

Author: vsevolod
Date: Mon Oct 14 16:06:03 UTC 2019
New revision: 514463
URL: https://svnweb.freebsd.org/changeset/ports/514463

Log:
  mail/rspamd:
  - Update to 2.0
  - Add upstream patches to fix crash due to constructors init order
  - Remove sample configuration files as default configuration files are NOT intended for modification by users and SHOULD be overwritten on port upgrade.
  - Remove NO_SHARED CMake flag as it is on by default
  - Add notes to UPDATING

  mail/rspamd-devel:
  - Update to 2.1.a1.20191014
  - Remove sample configuration files as default configuration files are NOT intended for modification by users and SHOULD be overwritten on port upgrade.
  - Add notes to UPDATING

  PR:		241204
  Submitted by:	Alexander Moisseev <moiseev at mezonplus.ru>
  Reported by:	Yasuhiro KIMURA <yasu at utahime.org>

Changes:
  head/UPDATING
  head/mail/rspamd/Makefile
  head/mail/rspamd/distinfo
  head/mail/rspamd/files/patch-CMakeLists.txt
  head/mail/rspamd/files/patch-contrib_lua-torch_torch7_lib_TH_CMakeLists.txt
  head/mail/rspamd/files/patch-src_libutil_mem__pool.c
  head/mail/rspamd/files/patch-src_lua_lua__regexp.c
  head/mail/rspamd/pkg-plist
  head/mail/rspamd-devel/Makefile
  head/mail/rspamd-devel/distinfo
  head/mail/rspamd-devel/files/patch-CMakeLists.txt
  head/mail/rspamd-devel/pkg-plist
Comment 5 Vsevolod Stakhov freebsd_committer 2019-10-14 16:09:24 UTC
Committed, thank you Yasuhiro and Alexander!